' Create the config objects
Set BT = CreateObject("BizTalk.BizTalkConfig")
set org = BT.CreateOrganization
Set port = BT.CreatePort

' Find the Review application handle
org.LoadByName "Home Organization"
Set rs = org.Applications
AppHandle = 0

Do While Not rs.EOF
    If (rs("name") = "Restaurant Reviews") Then
        AppHandle = rs("id")
        Exit Do
    End If
    rs.MoveNext
Loop

' Create a messaging port to the review request ASP page
port.Name = "Restaurant Review Requests"
port.Comments = "Messaging port for receiving requests to review a restaurant"
port.DestinationEndPoint.Organization = org.Handle
port.DestinationEndPoint.Application = AppHandle
port.DestinationEndPoint.Openness = 1 'BIZTALK_OPENNESS_TYPE_EX_NOTOPEN
port.PrimaryTransport.Type = 4 'BIZTALK_TRANSPORT_TYPE_HTTP
port.PrimaryTransport.Address = "http://www.mycompany.com/submit_review.asp"
port.Create

' Reset the objects
org.Clear
port.Clear

' Load Joe's orgnaization
org.LoadByName "Joe's Crab Shack"

' Create a messaging port to send reviews to Joe's
port.Name = "Joe's Review Results"
port.Comments = "Messaging port to send a review back to Joe"
port.DestinationEndPoint.Organization = org.Handle
port.DestinationEndPoint.Openness = 1 'BIZTALK_OPENNESS_TYPE_EX_NOTOPEN
port.PrimaryTransport.Type = 8 ' BIZTALK_TRANSPORT_TYPE_SMTP
port.PrimaryTransport.Address = "mailto:joe@joescrabs.com"
port.PrimaryTransport.Parameter = "mailto:me@mycompany.com"
port.Create
