On Error Resume Next : Err.Clear

' Create config objects
Set BT = CreateObject("BizTalk.BizTalkConfig")
Set env = BT.CreateEnvelope
Set port = BT.CreatePort

' Get Envelope name
env_name = InputBox("Enter the name of the envelope to refresh:")

' Try to load envelope
env.LoadByName env_name

If (Err.Num = 0) Then

    ' Find all ports that reference this envelope
    Set rs = BT.Ports

    Dim port_handles(0)

    Do While Not rs.EOF

        ' Load the port
        port.Load rs("id")

        ' Check if port references the envelope
        If port.Envelope = env.Handle Then

            ' Store the port handle
            size = UBound(port_handles)
            Redim Preserve port_handles(size + 1)
            port_handles(size) = port.Handle

            MsgBox "Storing reference to " & env.Name & " found in " & port.Name

            ' Clear the envelope reference
            port.Envelope = ""
            port.Save

        End If

        port.Clear

        rs.MoveNext

    Loop

    ' Refresh envelope specification
    ref = env.Reference
    env.Reference = ""
    env.Save
    env.Reference = ref

    ' Restore envelope references in ports
    For Each h In port_handles

        port.Load h

            MsgBox "Restoring reference to " & env.Name & " in " & port.Name

        port.Envelope = env.Handle
        port.Save
        port.Clear

    Next

    MsgBox "Envelope specification refreshed."

Else

    MsgBox "Unable to load specified envelope."

End If
